SDL_config_minimal.h File Reference
`#include "SDL_platform.h"`
Include dependency graph for SDL_config_minimal.h:

Go to the source code of this file.

## Macros

#define | HAVE_STDARG_H 1
#define | HAVE_STDDEF_H 1
#define | HAVE_STDINT_H 1
#define | SDL_AUDIO_DRIVER_DUMMY 1
#define | SDL_JOYSTICK_DISABLED 1
#define | SDL_HAPTIC_DISABLED 1
#define | SDL_LOADSO_DISABLED 1
#define | SDL_THREADS_DISABLED 1
#define | SDL_TIMERS_DISABLED 1
#define | SDL_VIDEO_DRIVER_DUMMY 1
#define | SDL_FILESYSTEM_DUMMY 1

## Detailed Description

This is the minimal configuration that can be used to build SDL.

Definition in file SDL_config_minimal.h.

## Macro Definition Documentation

#define HAVE_STDARG_H 1

Definition at line 33 of file SDL_config_minimal.h.

#define HAVE_STDDEF_H 1

Definition at line 34 of file SDL_config_minimal.h.

#define HAVE_STDINT_H 1

Definition at line 50 of file SDL_config_minimal.h.

#define SDL_AUDIO_DRIVER_DUMMY 1

Definition at line 58 of file SDL_config_minimal.h.

#define SDL_FILESYSTEM_DUMMY 1

Definition at line 79 of file SDL_config_minimal.h.

#define SDL_HAPTIC_DISABLED 1

Definition at line 64 of file SDL_config_minimal.h.

#define SDL_JOYSTICK_DISABLED 1

Definition at line 61 of file SDL_config_minimal.h.

#define SDL_LOADSO_DISABLED 1

Definition at line 67 of file SDL_config_minimal.h.

#define SDL_THREADS_DISABLED 1

Definition at line 70 of file SDL_config_minimal.h.

#define SDL_TIMERS_DISABLED 1

Definition at line 73 of file SDL_config_minimal.h.

#define SDL_VIDEO_DRIVER_DUMMY 1

Definition at line 76 of file SDL_config_minimal.h.